<?php

class cStockvalorizadoventa{

	
function mostrar_filtro($fec1,$fec2,$nom1,$nom2,$cat_id,$mar,$punven_id){
	$sql="select * from tb_ventadetalle vd
	inner join tb_venta v on v.tb_venta_id = vd.tb_venta_id
	LEFT JOIN tb_catalogo ct ON ct.tb_catalogo_id = vd.tb_catalogo_id 
	left join tb_producto pro ON pro.tb_producto_id = ct.tb_producto_id
	LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = pro.tb_presentacion_id 
	LEFT JOIN tb_empaque emp ON emp.tb_empaque_id = pro.tb_empaque_id 
	left join tb_categoria cat on cat.tb_categoria_id = pro.tb_categoria_id
	inner join tb_marca m on vd.tb_marca_id = m.tb_marca_id
    inner join tb_puntoventa pv on v.tb_puntoventa_id = pv.tb_puntoventa_id
	left join tb_empresa em on em.tb_empresa_id = pv.tb_empresa_id
	WHERE pro.tb_producto_xac='1' and v.tb_venta_xac = '1' and v.tb_venta_est = '1' and v.tb_venta_fec BETWEEN '$fec1' and '$fec2' ";


	if($nom1!="" || $nom2!="" ){
		$sql.=" AND pro.tb_producto_des LIKE '%$nom1%' AND pro.tb_producto_des LIKE '%$nom2%' ";
	}
		
		if($cat_id>0)$sql.=" AND pro.tb_categoria_id = '$cat_id' ";
		if($mar!="")$sql.=" AND m.tb_marca_nom like '%$mar%' ";
		if($punven_id!="")$sql.=" AND pv.tb_puntoventa_id = '$punven_id' ";

	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	
function mostrarkardex_codinterno($codintid){
	$sql="SELECT * FROM tb_kardexdetalle_codigointerno kci 
	inner join tb_kardexdetalle kd on kd.tb_kardexdetalle_id = kci.tb_kardexdetalle_id 
	inner join tb_kardex k on k.tb_kardex_id = kd.tb_kardex_id 
	where kci.tb_codigointerno_id = '$codintid' and k.tb_modulo_id = '4' ";

	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	
	function mostrarcompra_producto($com_id,$cat_id,$mar_id){
	$sql="SELECT * FROM tb_compradetalle cd
	inner join tb_compra c on c.tb_compra_id = cd.tb_compra_id
	where c.tb_compra_id = '$com_id' and cd.tb_catalogo_id = '$cat_id' and cd.tb_marca_id = '$mar_id' ";

	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	
	function mostrarkardex_producto($fec,$cat_id,$mar_id){
	$sql="SELECT * FROM tb_kardexdetalle kd
	inner join tb_kardex k on k.tb_kardex_id = kd.tb_kardex_id 
	where k.tb_kardex_fec <= '$fec'
	and kd.tb_catalogo_id = '$cat_id' 
	and kd.tb_marca_id = '$mar_id'
	and k.tb_modulo_id = '4' 
	and k.tb_kardex_xac = '1'
	order by k.tb_kardex_fec desc limit 1
	";

	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	 

}

?>